[libffado] - Update to svn1913. Fixes RHBZ#635315 - Drop upstreamed patches

Orcan Ogetbil oget at fedoraproject.org
Fri Oct 15 07:25:41 UTC 2010


commit 93682909787ce7bcaa4f7c62242ab0673dc0bba9
Author: Orcan Ogetbil <oget.fedora at gmail.com>
Date:   Fri Oct 15 03:25:35 2010 -0400

    - Update to svn1913. Fixes RHBZ#635315
    - Drop upstreamed patches

 .gitignore                           |    1 +
 libffado-desktop.patch               |   17 -
 libffado-dont-use-bundled-libs.patch | 1148 ----------------------------------
 libffado-snapshot.sh                 |   33 +
 libffado.spec                        |   27 +-
 sources                              |    2 +-
 6 files changed, 46 insertions(+), 1182 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 140e0e5..065a8f3 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1 +1,2 @@
 libffado-2.0.1-svn1864.tar.bz2
+/libffado-2.1.0-svn1913.tar.bz2
diff --git a/libffado-snapshot.sh b/libffado-snapshot.sh
new file mode 100644
index 0000000..4152235
--- /dev/null
+++ b/libffado-snapshot.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# $1 - revision number to checkout.
+: ${1?"You must either provide desired revision number \"X\" to checkout: `basename $0` X
+                                or fetch the latest revision by: `basename $0` HEAD"}
+
+set -e
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+    set +e
+    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+unset CDPATH
+pwd=$(pwd)
+name=libffado
+version=2.1.0
+
+revision=$1
+
+pushd "$tmp" >/dev/null
+echo "Fetching SVN revision: $1"
+svn export -r$revision http://subversion.ffado.org/ffado/trunk/$name $name-$version |tee $name.stdout
+revision=$(cat $name.stdout|grep "Exported revision"|sed 's|[^0-9]*||g')
+echo "Fetched SVN revision: $revision"
+rm -f $name.stdout
+
+tar jcf "$pwd"/$name-$version-svn$revision.tar.bz2 $name-$version
+echo "Written: $name-$version-svn$revision.tar.bz2"
+popd >/dev/null
diff --git a/libffado.spec b/libffado.spec
index 9856378..bbeb27e 100644
--- a/libffado.spec
+++ b/libffado.spec
@@ -4,33 +4,26 @@
 
 Summary:        Free firewire audio driver library
 Name:           libffado
-Version:        2.0.1
-Release:        5.20100706.svn1864%{?dist}
+Version:        2.1.0
+Release:        0.1.20101015.svn1913%{?dist}
 # src/libutil/float_cast.h is LGPLv2+.
 # The rest is (GPLv2 or GPLv3)
 License:        LGPLv2+ and (GPLv2 or GPLv3)
 Group:          System Environment/Libraries
 URL:            http://www.ffado.org/
 # The trunk is tarballed as follows:
-# svn export -r 1864 http://subversion.ffado.org/ffado/trunk/libffado libffado
-# tar jcf libffado-2.0.1-svn1864.tar.bz2 libffado
-Source0:        %{name}-%{version}-svn1864.tar.bz2
+# bash libffado-snapshot.sh 1913
+Source0:        %{name}-%{version}-svn1913.tar.bz2
 # Additional README file until we have proper manpages
 Source1:        README.ffado
+# The fetch script
+Source9:        libffado-snapshot.sh
 # We want the documentation for the library API only, not for the entire source:
 # http://subversion.ffado.org/ticket/293
 Patch0:         libffado-api-doc-only.patch
-# Make the .desktop file nicer
-# http://subversion.ffado.org/ticket/291
-Patch1:         libffado-desktop.patch
 # Clean the redundant shebangs
 # http://subversion.ffado.org/ticket/292
 Patch2:         libffado-no-shebang.patch
-# Use system libraries
-# Submitted to upstream devel ML on 2010-07-12. 
-# Working together with the Debian packager Adrian Knoth. Cool guy.
-# http://subversion.ffado.org/ticket/290
-Patch3:         libffado-dont-use-bundled-libs.patch
 # Make libffado compile against libconfig-1.4.5
 # http://subversion.ffado.org/ticket/290
 Patch4:         libffado-libconfig145.patch
@@ -86,11 +79,9 @@ Applications and utilities for use with libffado.
 
 
 %prep
-%setup -q -n %{name}
+%setup -q
 %patch0 -p1 -b .api.doc.only
-%patch1 -p1 -b .desktop.nicer
 %patch2 -p1
-%patch3 -p1 -b .systemlib
 %patch4 -p1 -b .libconfig145
 
 cp -a %{SOURCE1} .
@@ -161,6 +152,10 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 %{python_sitelib}/ffado/
 
 %changelog
+* Fri Oct 15 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 2.1.0-0.1.20101015.svn1913
+- Update to svn1913. Fixes RHBZ#635315
+- Drop upstreamed patches
+
 * Thu Aug 26 2010 Dan Horák <dan[at]danny.cz> - 2.0.1-5.20100706.svn1864
 - no Firewire on s390(x)
 
diff --git a/sources b/sources
index 896c5c9..3fdd77c 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-6263a5e84a17afc2df16291bbd14961d  libffado-2.0.1-svn1864.tar.bz2
+ce90eab1c3e3e309f359fa324f6210ce  libffado-2.1.0-svn1913.tar.bz2


More information about the scm-commits mailing list